Bug 882559 (mfm-image-converter)

Summary: Review Request: mate-file-manager-image-converter - MATE Desktop file manager image converter plugin
Product: [Fedora] Fedora Reporter: Dan Mashal <dan.mashal>
Component: Package ReviewAssignee: Wolfgang Ulbrich <chat-to-me>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: chat-to-me, notting, package-review, rdieter
Target Milestone: ---Flags: chat-to-me: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-15 18:59:10 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 840149    
Bug Blocks:    

Comment 1 Nelson Marques 2012-12-17 12:44:33 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[-]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/nmarques/882559-mate-
     file-manager-image-converter/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: mate-file-manager-image-converter-debuginfo-1.5.0-1.fc18.x86_64.rpm
          mate-file-manager-image-converter-1.5.0-1.fc18.src.rpm
          mate-file-manager-image-converter-1.5.0-1.fc18.x86_64.rpm
mate-file-manager-image-converter-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package mate-file-manager-image-converter.
mate-file-manager-image-converter.src: W: spelling-error %description -l en_US Caja -> Cara, Cajun
mate-file-manager-image-converter.src: W: spelling-error %description -l en_US resize -> reside, re size, re-size
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US Caja -> Cara, Cajun
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
mate-file-manager-image-converter.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-image-converter-1.5.0/COPYING
3 packages and 0 specfiles checked; 2 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-file-manager-image-converter mate-file-manager-image-converter-debuginfo
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US Caja -> Cara, Cajun
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
mate-file-manager-image-converter.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-image-converter-1.5.0/COPYING
mate-file-manager-image-converter-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package mate-file-manager-image-converter.
2 packages and 0 specfiles checked; 2 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-file-manager-image-converter-debuginfo-1.5.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

mate-file-manager-image-converter-1.5.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcaja-extension.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
mate-file-manager-image-converter-debuginfo-1.5.0-1.fc18.x86_64.rpm:
    
    mate-file-manager-image-converter-debuginfo = 1.5.0-1.fc18
    mate-file-manager-image-converter-debuginfo(x86-64) = 1.5.0-1.fc18

mate-file-manager-image-converter-1.5.0-1.fc18.x86_64.rpm:
    
    libcaja-image-converter.so()(64bit)
    mate-file-manager-image-converter = 1.5.0-1.fc18
    mate-file-manager-image-converter(x86-64) = 1.5.0-1.fc18



Unversioned so-files
--------------------
mate-file-manager-image-converter-1.5.0-1.fc18.x86_64.rpm: /usr/lib64/caja/extensions-2.0/libcaja-image-converter.so

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-file-manager-image-converter-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 2cddca00bf4c9b1fcdc1d665d7d10eea184180ea32ed817613002b3ef3538daf
  CHECKSUM(SHA256) upstream package : 2cddca00bf4c9b1fcdc1d665d7d10eea184180ea32ed817613002b3ef3538daf


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -m fedora-18-x86_64 -b 882559
Comment 2 Nelson Marques 2012-12-17 12:52:03 EST
Dan,

I'm going to give a +1 to this package, but first I need you clarify 2 things for me:

 1) BuildRequires: mate-file-manager-devel mate-file-manager-extensions, since the -extensions and -devel originate from the same sources why isn't -devel pulling the extensions (ex: through a Requires)? This would be in my opinion a good practice. 

 2) The style on the spec in different from previous packages; This isn't for sure an issue, so there's no big deal with this.

If you believe 1) can be improved, it would be nice; otherwise, if no one else objects, I let it slip in.
Comment 3 Dan Mashal 2012-12-17 19:58:59 EST
That was the way leigh packaged MFM 1.5 originally. We can fix that later.
Comment 4 Nelson Marques 2012-12-18 14:18:09 EST
Dan,

I have reworked the spec file to fix most issues I've found, and I'm happy I haven't pushed this forward as some issues passed.

http://nmarques.fedorapeople.org/882559/mate-file-manager-image-converter.spec

You have there the spec re-worked, see if you can use it or rework the current spec to address the following issues:

 1) %post/%postun entries are not required; we don't install any files in the path of the dynamic linker;
 2) Improved summary and description;
 3) Removed find entry for static blobs; --disable-static is working properly, no static blobs are being generated;
 4) Add mate-file-manager for runtime dependency; this is disputable, but the dependencies added by RPM can be complemented.

About 2) I don't really care, but the others are need to be fixed, so you can either use 'ipsis verbis' my spec or you can rework yours to meet the criteria.

Let me know so I can run stuff again. And please no more 'We can fix that later', later is now :)
Comment 5 Dan Mashal 2013-03-01 23:04:17 EST
Rex,

Please restart the review.
Comment 6 Dan Mashal 2013-03-13 18:33:52 EDT
Wolfgang you can take this if you would like, per our IRC conversation.
Comment 7 Wolfgang Ulbrich 2013-03-15 17:12:26 EDT
Dan,  which SPEC file should i use?
Yours or Nelson's?
Pls update links to create a valid working base :)
Comment 8 Dan Mashal 2013-03-18 20:08:41 EDT
Please use mine.
Comment 9 Wolfgang Ulbrich 2013-03-19 14:21:51 EDT
Damned!
Error 403 downloading http://nmarques.fedorapeople.org/882559/mate-file-manager-image-converter.spec'
Pls post new links for using review-tool
Comment 10 Dan Mashal 2013-03-19 15:21:02 EDT
Use mine:

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-file-manager-image-converter.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-file-manager-image-converter-1.5.0-1.fc18.src.rpm
Description: MATE Desktop file manager image converter plugin.
Comment 11 Wolfgang Ulbrich 2013-03-19 15:38:59 EDT
(In reply to comment #10)
> Use mine:
i forgot to explain, the review tool wanted to use Nelson's one.
Now it's fine
Comment 12 Dan Mashal 2013-03-19 16:01:44 EDT
ok
Comment 13 Wolfgang Ulbrich 2013-03-19 16:49:56 EDT
APPROVED !

can you do some changes before git push.
SHOULD items
- add Requires: mate-file-manager
- do a pull request at upstream
Checking: mate-file-manager-image-converter-1.5.0-1.fc20.x86_64.rpm
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US Caja -> Cara, Cajun
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
mate-file-manager-image-converter.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-image-converter-1.5.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/rave/882559-mate-file-
     manager-image-converter/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-file-manager-image-converter-1.5.0-1.fc20.x86_64.rpm
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US Caja -> Cara, Cajun
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
mate-file-manager-image-converter.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-image-converter-1.5.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-file-manager-image-converter
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US Caja -> Cara, Cajun
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
mate-file-manager-image-converter.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-image-converter-1.5.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-file-manager-image-converter (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcaja-extension.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
mate-file-manager-image-converter:
    libcaja-image-converter.so()(64bit)
    mate-file-manager-image-converter
    mate-file-manager-image-converter(x86-64)



Unversioned so-files
--------------------
mate-file-manager-image-converter: /usr/lib64/caja/extensions-2.0/libcaja-image-converter.so

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-file-manager-image-converter-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 2cddca00bf4c9b1fcdc1d665d7d10eea184180ea32ed817613002b3ef3538daf
  CHECKSUM(SHA256) upstream package : 2cddca00bf4c9b1fcdc1d665d7d10eea184180ea32ed817613002b3ef3538daf


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -b 882559 -m fedora-rawhide-x86_64
Comment 14 Wolfgang Ulbrich 2013-03-19 16:50:17 EDT
APPROVED !

can you do some changes before git push.
SHOULD items
- add Requires: mate-file-manager
- do a pull request at upstream
Checking: mate-file-manager-image-converter-1.5.0-1.fc20.x86_64.rpm
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US Caja -> Cara, Cajun
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
mate-file-manager-image-converter.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-image-converter-1.5.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/rave/882559-mate-file-
     manager-image-converter/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-file-manager-image-converter-1.5.0-1.fc20.x86_64.rpm
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US Caja -> Cara, Cajun
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
mate-file-manager-image-converter.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-image-converter-1.5.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-file-manager-image-converter
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US Caja -> Cara, Cajun
mate-file-manager-image-converter.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
mate-file-manager-image-converter.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-image-converter-1.5.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-file-manager-image-converter (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcaja-extension.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
mate-file-manager-image-converter:
    libcaja-image-converter.so()(64bit)
    mate-file-manager-image-converter
    mate-file-manager-image-converter(x86-64)



Unversioned so-files
--------------------
mate-file-manager-image-converter: /usr/lib64/caja/extensions-2.0/libcaja-image-converter.so

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-file-manager-image-converter-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 2cddca00bf4c9b1fcdc1d665d7d10eea184180ea32ed817613002b3ef3538daf
  CHECKSUM(SHA256) upstream package : 2cddca00bf4c9b1fcdc1d665d7d10eea184180ea32ed817613002b3ef3538daf


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -b 882559 -m fedora-rawhide-x86_64
Comment 15 Wolfgang Ulbrich 2013-03-19 16:51:21 EDT
f...k....firefox
Comment 16 Dan Mashal 2013-03-20 05:45:54 EDT
Thank you
Comment 17 Dan Mashal 2013-03-20 05:50:03 EDT
New Package SCM Request
=======================
Package Name: mate-image-converter
Short Description: MATE Desktop file manager image converter plugin.
Owners: vicodan rdieter davidx raveit65
Branches: f17 f18 f19
Comment 18 Dan Mashal 2013-03-20 05:51:58 EDT
oops

New Package SCM Request
=======================
Package Name: mate-file-manager-image-converter
Short Description: MATE Desktop file manager image converter plugin.
Owners: vicodan rdieter davidx raveit65
Branches: f17 f18 f19
Comment 19 Jon Ciesla 2013-03-20 08:28:32 EDT
Git done (by process-git-requests).
Comment 20 Fedora Update System 2013-03-20 21:43:06 EDT
mate-file-manager-image-converter-1.5.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-file-manager-image-converter-1.5.0-1.fc17
Comment 21 Fedora Update System 2013-03-20 21:43:22 EDT
mate-file-manager-image-converter-1.5.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-image-converter-1.5.0-1.fc18
Comment 22 Fedora Update System 2013-03-21 20:09:27 EDT
mate-file-manager-image-converter-1.5.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 23 Fedora Update System 2013-03-25 14:27:28 EDT
mate-file-manager-image-converter-1.5.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-file-manager-image-converter-1.5.0-3.fc17
Comment 24 Fedora Update System 2013-03-25 14:27:42 EDT
mate-file-manager-image-converter-1.5.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-image-converter-1.5.0-3.fc18
Comment 25 Fedora Update System 2013-04-04 19:52:39 EDT
mate-file-manager-image-converter-1.5.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-04-04 19:59:50 EDT
mate-file-manager-image-converter-1.5.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.